6.Symfony框架的安装步骤(Ubuntu)

配置git及github(Linux)

n工具安装Nodejs和Yarn以及配置国内镜像源(Ubuntu)

安装PostgreSQL和pgAdmin以及配置国内镜像源(Ubuntu)

Composer(PHP依赖关系管理工具)的安装步骤(openSUSE Tumbleweed)(仅作参考)

安装PHP及依赖

sudo apt install git php php-intl php-mbstring php-xml php-fpm php-pgsql libnss3-tools

安装Symfony CLI

wget https://get.symfony.com/cli/installer -O - | bash
sudo mv /home/ho/.symfony/bin/symfony /usr/local/bin/symfony
symfony check:requirements

安装HTTPS支持

symfony server:ca:install

(可选)安装其他支持

//安装RabbitMQ、gd、redis、curl、zip依赖
sudo apt install php-amqp php-gd php-redis php-curl php-zip

创建工程

symfony new blog --full
composer require symfony/webpack-encore-bundle
yarn install
{{ encore_entry_link_tags('app') }}
{{ encore_entry_script_tags('app') }}
cd blog
symfony serve

现在可以通过https://127.0.0.1:8000打开应用或通过Ctrl+C关闭应用。

原创文章,作者:huoxiaoqiang,如若转载,请注明出处:https://www.huoxiaoqiang.com/php/phpenv/6301.html

(0)
上一篇 2021年10月5日 02:30
下一篇 2021年10月11日 12:11

相关推荐

  • 5.Laravel框架的安装步骤(Ubuntu)

    配置git及github(Linux) n工具安装Nodejs和Yarn以及配置国内镜像源(Ubuntu) 安装MySQL和phpMyAdmin的步骤(Ubuntu) Composer(PHP依赖关系管理工具)的安装步骤(openSUSE Tumbleweed)(仅作参考) 1.安装扩展依赖 检查以下扩展依赖是否都已安…

    PHP安装教程 2021年10月5日
    04200
  • 3.Composer.json文件的讲解

    依赖属性 1.require 运行或部署当前项目所依赖的包。 2.require-dev 开发或测试当前项目所依赖的包。 版本属性 1.确切版本 您可以指定包的确切版本。这将告诉 Composer 安装这个版本。 2.运算符版本范围 通过使用比较运算符,您可以指定有效版本的范围。有效的运算符是>, &g…

    PHP安装教程 2021年10月3日
    01440
  • 4.Composer常用命令一览表

    1.Global命令 composer默认局部范围,global命令添加在其他install, remove, require or update等等命令前,以达到全局范围。 2.搜索依赖包 search命令允许从当前仓库搜索包,默认是 packagist 。 3.安装依赖包 i…

    PHP安装教程 2021年10月4日
    01730

发表评论

登录后才能评论